<div class="container">
  <div class="row">
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2">
      <form (ngSubmit)="onSubmit()" #f="ngForm">
        <div id="user-data" ngModelGroup="userdata" #userdata="ngModelGroup">
          <div class="form-group">
            <label for="username">Username</label>
            <input
              type="text"
              id="username"
              class="form-control"
              ngModel
              name="username"
              required
            />
          </div>
          <button
            class="btn btn-default"
            type="button"
            (click)="suggestUserName()"
          >
            Suggest an Username
          </button>
          <div class="form-group">
            <label for="email">Mail</label>
            <input
              type="email"
              id="email"
              class="form-control"
              ngModel
              name="email"
              required
              email
              #email="ngModel"
            />
            <span class="help-block" *ngIf="!email.valid && email.touched"
              >Please enter a valid email!</span
            >
          </div>
          <div>
            <span class="help-block" *ngIf="!userdata.valid && userdata.touched"
              >User Data is invalid!</span
            >
          </div>
        </div>
        <div class="form-group">
          <label for="secret">Secret Questions</label>
          <select
            id="secret"
            class="form-control"
            [ngModel]="defaultQuestion"
            name="secret"
          >
            <option value="pet">Your first Pet?</option>
            <option value="teacher">Your first teacher?</option>
          </select>
        </div>
        <div class="form-group">
          <textarea
            name="questionAnswer"
            class="form-control"
            rows="3"
            [(ngModel)]="answer"
          ></textarea>
          <p>Your replay: {{ answer }}</p>
        </div>
        <div class="radio" *ngFor="let gender of genders">
          <label for="gender">
            <input
              type="radio"
              name="gender"
              ngModel
              [value]="gender"
              required
            />
            {{ gender }}
          </label>
        </div>
        <button class="btn btn-primary" type="submit" [disabled]="!f.valid">
          Submit
        </button>
      </form>
    </div>
    <hr />
    <div *ngIf="submitted" class="row">
      <div class="col-xs-12">
        <h3>Your Data</h3>
        <p>Username: {{ user.username }}</p>
        <p>Email: {{ user.email }}</p>
        <p>Secret Question: {{ user.secretQuestion }}</p>
        <p>Answer: {{ user.answer }}</p>
        <p>Gender: {{ user.gender }}</p>
      </div>
    </div>
  </div>
</div>
